//
//  HDBaseModel.m
//  PortableTreasure
//
//  Created by HeDong on 14/12/14.
//  Copyright © 2014年 hedong. All rights reserved.
//

#import "HDBaseModel.h"

@implementation HDBaseModel

+ (__kindof HDBaseModel *)baseModelWithIconName:(NSString *)iconName labelText:(NSString *)labelText detailedText:(NSString *)detailedText option:(Option)option
{
    HDBaseModel *baseModel = [[self alloc] init];
    
    baseModel.iconName = iconName;
    baseModel.labelText = labelText;
    baseModel.detailedText = detailedText;
    baseModel.option = option;
    
    return baseModel;
}

@end
