//
//  ViewController.m
//  InternationDemo
//
//  Created by HeDong on 16/7/3.
//  Copyright © 2016年 hedong. All rights reserved.
//

#import "ViewController.h"
#import "HDGroupModel.h"
#import "TestModel.h"
#import "LocalizableConst.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    [self addGroupData];
}

- (void)addGroupData
{
    TestModel *g1T1 = [TestModel testModeWithName:apple dataCount:1];
    TestModel *g1T2 = [TestModel testModeWithName:woman dataCount:1];
    TestModel *g1T3 = [TestModel testModeWithName:country dataCount:1];
    TestModel *g1T4 = [TestModel testModeWithName:wife dataCount:1];
    
    HDGroupModel *g1 = [HDGroupModel groupModelWithHeaderText:@"单数的情况" baseModels:@[g1T1, g1T2, g1T3, g1T4] footerText:nil];
    
    TestModel *g2T1 = [TestModel testModeWithName:apple dataCount:9];
    TestModel *g2T2 = [TestModel testModeWithName:woman dataCount:3];
    TestModel *g2T3 = [TestModel testModeWithName:country dataCount:27];
    TestModel *g2T4 = [TestModel testModeWithName:wife dataCount:15];
    
    HDGroupModel *g2 = [HDGroupModel groupModelWithHeaderText:@"复数的情况" baseModels:@[g2T1, g2T2, g2T3, g2T4] footerText:nil];
    
    self.groupsArr = @[g1, g2];
}

@end
